package zclystal.common.core;

import net.minecraft.creativetab.CreativeTabs;
import net.minecraft.init.Items;
import net.minecraft.item.Item;
import net.minecraft.item.ItemStack;
import net.minecraftforge.common.MinecraftForge;
import zclystal.common.event.LivingEventHooks;
import zclystal.common.item.ItemZCrystal;
import cpw.mods.fml.common.Mod;
import cpw.mods.fml.common.Mod.EventHandler;
import cpw.mods.fml.common.event.FMLInitializationEvent;
import cpw.mods.fml.common.registry.GameRegistry;

@Mod(modid = "ZCrystal", name = "Z Crystal")
public class ZCrystalCore {

	//Z Crystalの定義
	public static Item crystalZ;
	public static boolean canfly = false;

	@EventHandler
	public void preInit(FMLInitializationEvent e) {

		MinecraftForge.EVENT_BUS.register(new LivingEventHooks());

		//アイテムとしての設定
		crystalZ = new ItemZCrystal()
			.setCreativeTab(CreativeTabs.tabMisc)
			.setUnlocalizedName("crystalZ")
			.setTextureName("zcrystal:z_crystal")
			.setMaxDamage(1000)
			.setHasSubtypes(false)
			.setMaxStackSize(1);
		GameRegistry.registerItem(crystalZ, "crystalZ");

		//レシピの追加
		GameRegistry.addRecipe(new ItemStack(crystalZ),
				"ZYZ", "YXY", "ZYZ", 'X', Items.diamond, 'Y', Items.gold_ingot, 'Z', Items.iron_ingot);
	}

}
